QGIS Application - Bug report #538
delimited text plug-in lets QGIS crash on windows
2007-01-15 02:07 PM - timmichelsen-gmx-topmail-de -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10597
Description

When unsing the delimited text plug-in with a semicolon separated file QGIS show a error window with no text. There's a button to shut
down QGIS.

In the last preview it worked well.

History

#1 - 2007-01-15 10:48 PM - Magnus Homann

Is this in the pre-compiled version downloaded from qgis?
Do you have a sample file to attach?

Thanks.

#2 - 2007-01-16 02:55 AM - timmichelsen-gmx-topmail-de -

Is this in the pre-compiled version downloaded from qgis?

Yes, this one: http://download.qgis.org/qgis/win32/qgis-0.8.0 setup.exe

Do you have a sample file to attach?

Sorry, | can't. The work is confidential. Please mail if you can't reproduce | will replace the information in the text file by dummy information.
The file has about 6000 datasets.

#3 - 2007-01-27 10:52 AM - Magnus Homann

| can reproduce this with this input file:

xX;Y
0;0

It works with 10.000 lines of similar data in trunk, however. | have no possiblity to debug 0.8 on win32, unfortunately.
http://download.qgis.org/qgis/win32/qgis-0.8.0_setup.exe

#4 - 2007-02-03 02:59 PM - Magnus Homann
- Resolution set to fixed

- Status changed from Open to Closed

It was a problem with malformed lines, such as an extra line break at the end of dataset. If any line has less than 2 fields, it would crash. Fixed by .

#5 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
